Plesk\backup\Agent\Schema\Backup\OutgoingEmailMode\OutgoingEmailModeAType:
    properties:
        domainIp:
            expose: true
            access_type: public_method
            serialized_name: domain-ip
            xml_element:
                cdata: false
            accessor:
                getter: getDomainIp
                setter: setDomainIp
            type: string
        domainName:
            expose: true
            access_type: public_method
            serialized_name: domain-name
            xml_element:
                cdata: false
            accessor:
                getter: getDomainName
                setter: setDomainName
            type: string
        explicitIp:
            expose: true
            access_type: public_method
            serialized_name: explicit-ip
            xml_element:
                cdata: false
            accessor:
                getter: getExplicitIp
                setter: setExplicitIp
            type: array<string>
            xml_list:
                inline: false
                entry_name: ip-address
                skip_when_empty: true
